/* Copyright (C) 1999 Jeff Heflin - University of Maryland
 *	
 * This software is provided under the terms of the GNU Lesser General Public
 * License Version 2.1, February 1999. See the header in HTML_Tokenizer.java
 * and the file License.html for details.
 */

package HTML;

import java.lang.System;
import java.io.*;
import java.net.*;


public class HTML_Test {

  public static void main(String args[]) throws IOException {
  
    int type;

    URL url = null;
    InputStream inStream = null;
    //    Exclusions robotEx = new Exclusions();

    try {
      url = new URL("http://www.cs.umd.edu/projects/plus/SHOE/index.html");
      /*
      if (robotEx.isExcluded(url))
	System.out.println("Robot's can't read " + url);
	*/
      inStream = new BufferedInputStream(url.openStream());
    } catch (MalformedURLException ex) {
      System.out.println("Error opening URL");
    }
  
    /*
    FileInputStream inStream = new FileInputStream("short.html");
    */

    /* Tokenize the input stream */
    HTML_Tokenizer tknzr = new HTML_Tokenizer(inStream);

    do {
      type = tknzr.nextToken();
      switch(type) {
        case tknzr.HT_SGMLTAG:
          System.out.print("SGML Tag: ");
          break;
        case tknzr.HT_TEXT:
          System.out.print("Text:     ");
          break;
        case tknzr.HT_COMMENT:
          System.out.print("Comment:  ");
          break;
        case tknzr.HT_SGMLDECL:
          System.out.print("Declar:   ");
          break;
        case tknzr.HT_EOF:
          System.out.print("EOF:      ");
          break;
      }
      System.out.println(tknzr.token.toString());
    } while (type != tknzr.HT_EOF);

    /*
    System.out.println("Robot Exculsions:");
    System.out.println(robotEx);

    String testEx[] = {"http://www.cs.umd.edu/icons/test.html",
		       "http://www.cs.umd.edu/TR/",
		       "http://www.cs.umd.edu/TR",
		       "http://www.cs.umd.edu/users/philippe",
		       "http://www.cs.umd.edu",
		       "http://www.cs.umd.edu/users/heflin"};

    int i;
    for (i=0; i < testEx.length; i++) {
      try {
	url = new URL(testEx[i]);
      } catch (MalformedURLException ex) {
	;
      }
      System.out.print(testEx[i] + "\t");
      System.out.println(robotEx.isExcluded(url));
    }
    */

    /* Test building of relative URLs */
    /*
    url = new URL("http://www.cs.umd.edu/users/heflin/");
    System.out.println("For URL, file is " + url.getFile());
    url = new URL(url,"formal.html");
    System.out.println("Relative URL is " + url);

    url = new URL("http://www.cs.umd.edu/users/heflin");
    System.out.println("For URL, file is " + url.getFile());
    url = new URL(url,"formal.html");
    System.out.println("Relative URL is " + url);
    */
  }
}
