/* Copyright (C) 1999 Jeff Heflin - University of Maryland
 *	
 * This software is provided under the terms of the GNU Lesser General Public
 * License Version 2.1, February 1999. See the header in HTML_Tokenizer.java
 * and the file License.html for details.
 */

package HTML;

public class HTML_Token extends Object {

  public static final int TT_TEXT = 1;
  public static final int TT_SGMLTAG = 2;
  public static final int TT_COMMENT = 3; 
  public static final int TT_SGMLDECL = 4;

  int type;
  String text;

  public HTML_Token() {
    type = TT_TEXT;
    text = "";
  }

  public HTML_Token(int t, String txt) {
    type = t;
    text = txt;
  }

  public String toString() {
    return text;
  }

  public final int getType() {
    return type;
  }

  public String getText() {
    return text;
  }

  /** Compares to HTML_Tokens for equality. Two tokens are equivalent
    if they have identical textual representations. */
  public boolean equals(Object obj) {
    
    HTML_Token otherToken;

    if (obj instanceof HTML_Token) {
      otherToken = (HTML_Token)obj;
      return getText().equals(otherToken.getText());
    }
    else
      return false;
  }

}

