/* Copyright (C) 1999 Jeff Heflin - University of Maryland
 *	
 * This software is provided under the terms of the GNU Lesser General Public
 * License Version 2.1, February 1999. See the header in HTML_Tokenizer.java
 * and the file License.html for details.
 */

package HTML;

import java.net.*;
import java.io.*;
import java.applet.*;
import java.awt.*;
import java.util.*;

/** A class to test the functionality of the AltProxyUrl class. */
public class ProxyTest extends Applet
{

  TextField tfUrl;
  Button    bGo;
  TextArea  taContents;

  String webProxyHost = null; 
  int webProxyPort = 8080;

  /*
  public static void main(String args[]) {

  
    // urlStr = "http://www.yahoo.com";
    // String urlStr = args[0];
    webProxyHost = "scruffy.cs.umd.edu";

    Properties props = System.getProperties();
    props.list(System.out);

    // AltProxyUrl.setWebProxy(webProxyHost, webProxyPort);
    // contents = getContents(urlStr);
  }
  */

  public void init()
  { 
    super.init();

    tfUrl = new TextField(60);
    bGo = new Button("Go");
    taContents = new TextArea("",30,80, TextArea.SCROLLBARS_BOTH);

    add(tfUrl);
    add(bGo);
    add(taContents);
    
    // webProxyHost = getParameter("Host");
    webProxyHost = getCodeBase().getHost();
    System.out.println("Host = " + webProxyHost);
    // Properties props = System.getProperties();
    // props.list(System.out);
    try {
      webProxyPort = Integer.parseInt(getParameter("Port"));
    } catch (NumberFormatException ex) {
      webProxyPort = 8080;
    }
    AltProxyUrl.setWebProxy(webProxyHost, webProxyPort);
  }


  public boolean action(Event evt, Object arg) 
  {
    String contents;
    
    if (evt.target == bGo)
      {
	contents = getContents(tfUrl.getText());
	taContents.setText(contents);
	return true;
      }
    return false;
  }


  public String getContents(String urlStr) {

    AltProxyUrl url = null;
    DataInputStream inStream = null;
    StringBuffer sbuf;
    String l;

    sbuf = new StringBuffer(1000);
    try {
      url = new AltProxyUrl(urlStr);
      inStream = new DataInputStream(new BufferedInputStream(url.openStream()));
    } catch (MalformedURLException ex) {
      System.out.println("Error opening URL " + urlStr);
    } catch (IOException ex) {
      System.out.println(ex.getMessage());
    }
    
    try {
      l = inStream.readLine();
      while (l != null) {
	sbuf.append(l);
	sbuf.append("\n");
	l = inStream.readLine();
      }
    } catch (IOException ex) {
      System.out.println(ex.getMessage());
    }
    return sbuf.toString();
  }
}
